//////////////////////////////////////////////////////////
/********************************************************/
/*                                                      */
/*  Fachhochschule Jena                                 */
/*  Mikroprozessortechnik                               */
/*  Michael Goldbuch; Jrgen Dffinger                  */
/*                                                      */
/*  adc.asm   Version 1.0.0   2011-05-17                */
/*                                                      */
/*  Die adc.asm enthlt alle Analog-Digital-Wandler     */
/*  Funktionen                                          */
/*                                                      */
/********************************************************/
//////////////////////////////////////////////////////////



/****************   ADC_INIT   ***************/

ADC_INIT:

	push R16
//	ldi  R16, (1 << ADEN) | (1 << ADPS0) | (1 << ADPS2)  
	ldi  R16, (1 << ADEN) | (1 << ADPS1) | (1 << ADPS2)  
//	ldi  R16, (1 << ADEN) | (1 << ADPS0) | (1 << ADPS1) | (1 << ADPS2)  
	out  ADCSRA, R16
	pop  R16

ret



/***************   ADC_CONVERSION   ***************/

ADC_Conversion:
	
	sbi  ADCSRA, ADIF
	sbi  ADCSRA, ADSC ; start conversion

ADC_Conversion1:
	
	sbis ADCSRA, ADIF
	rjmp ADC_Conversion1
	in   R1, ADCL
	in   R0, ADCH
	
ret



/***************   ADC4_Enable   ***************/

ADC4_Enable:

	push R16	
	ldi  R16,(1 << REFS0)|(1 << MUX2)
	out  ADMUX, R16
	pop  R16

ret
