//////////////////////////////////////////////////////////
/********************************************************/
/*                                                      */
/*  Fachhochschule Jena                                 */
/*  Mikroprozessortechnik                               */
/*  Michael Goldbuch; Jrgen Dffinger                  */
/*                                                      */
/*  functions.asm   Version 1.0.0   2011-05-18          */
/*                                                      */
/*  Die functions.asm enthlt diverse Funktionen,       */
/*  wie z.B. einen Zhler.                              */
/*                                                      */
/********************************************************/
//////////////////////////////////////////////////////////



/***************   counter   ***************/

.macro counter

	push R16
	push R17
	push R18

	ldi  R16,@0
	ldi  R17,@1
	ldi  R18,@2

	rcall counter_exec

	pop  R18
	pop  R17
	pop  R16

.endm


counter_exec:

	dec  R18
	brne counter_exec
	dec  R17
	brne counter_exec
	dec  R16
	brne counter_exec

ret
